# SimpleFileFetcher (Crawler-commons 0.6-SNAPSHOT API)
Date: 2015-05-26

crawlercommons.fetcher.file

## Class SimpleFileFetcher

- java.lang.Object
- - crawlercommons.fetcher.BaseFetcher
  - - crawlercommons.fetcher.file.SimpleFileFetcher

All Implemented Interfaces:
  Serializable

    public class SimpleFileFetcher
    extends BaseFetcher

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class crawlercommons.fetcher.BaseFetcher

`_defaultMaxContentSize, _maxContentSizes, _validMimeTypes, DEFAULT_MAX_CONTENT_SIZE`

### Constructor Summary

Constructors
Constructor and Description
`SimpleFileFetcher()`

### Method Summary

Methods
`void` `abort()` Terminate any async request being processed.
`FetchedResult` `get(String url, Payload payload)` Get the content stored in the resource referenced by <url>

### Methods inherited from class crawlercommons.fetcher.BaseFetcher

`addValidMimeType, addValidMimeTypes, get, getDefaultMaxContentSize, getMaxContentSize, getMimeTypeFromContentType, getValidMimeTypes, setDefaultMaxContentSize, setMaxContentSize, setValidMimeTypes`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SimpleFileFetcher

    public SimpleFileFetcher()

### Method Detail

#### get

    public FetchedResult get(String url,
                    Payload payload)
                      throws BaseFetchException

Description copied from class: `BaseFetcher`
Get the content stored in the resource referenced by <url>

Specified by:
  `get` in class `BaseFetcher`
Returns:
Throws:
  `BaseFetchException`

#### abort

    public void abort()

Description copied from class: `BaseFetcher`
Terminate any async request being processed.

Specified by:
  `abort` in class `BaseFetcher`